package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.SlgcWaterUnit;

/** 水管单位 Service */
public interface WaterUnitService {
    /**
     * 查询水管单位列表
     *
     * @param slgcWaterUnit 查询条件
     * @return 水管单位列表
     */
    public List<SlgcWaterUnit> selectWaterUnitList(SlgcWaterUnit slgcWaterUnit);

    /**
     * 通过ID查询水管单位
     *
     * @param id 主键ID
     * @return 水管单位
     */
    public SlgcWaterUnit selectWaterUnitById(String id);

    /**
     * 新增水管单位
     *
     * @param slgcWaterUnit 水管单位
     * @return 插入行数
     */
    public int insertWaterUnit(SlgcWaterUnit slgcWaterUnit);

    /**
     * 修改水管单位
     *
     * @param slgcWaterUnit 水管单位
     * @return 更新行数
     */
    public int updateWaterUnit(SlgcWaterUnit slgcWaterUnit);

    /**
     * 删除水管单位
     *
     * @param ids 主键ID数组
     * @return 删除行数
     */
    public int deleteWaterUnitByIds(String[] ids);
}
